[package]
name = "ostp-server"
version.workspace = true
edition.workspace = true
description = "OSTP Stealth VPN Server"

[[bin]]
name = "ostp-server"
path = "src/main.rs"

[dependencies]
ostp = { path = "../ostp" }
oncp = { path = "../oncp" }
ostp-guard = { path = "../ostp-guard" }
tokio.workspace = true
anyhow.workspace = true
tracing.workspace = true
tracing-subscriber.workspace = true
clap.workspace = true
hex.workspace = true
serde.workspace = true
serde_json.workspace = true
rand.workspace = true
